<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Izg 2018 - 2019, lab 6.: student/mouseCamera.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Izg 2018 - 2019, lab 6.
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="examples.html"><span>Examples</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_df997ef5cbe81af8266600b381d65502.html">student</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">mouseCamera.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This file contains function declarations for mouse handling and camera manipulation.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;<a class="el" href="linearAlgebra_8h_source.html">student/linearAlgebra.h</a>&gt;</code><br />
</div>
<p><a href="mouseCamera_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a838dccafe5d2e845d75eac2e1b2725b9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mouseCamera_8h.html#a838dccafe5d2e845d75eac2e1b2725b9">onMouseMotion</a> (int x, int y, int xrel, int yrel)</td></tr>
<tr class="memdesc:a838dccafe5d2e845d75eac2e1b2725b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is called when the mouse is moving.  <a href="#a838dccafe5d2e845d75eac2e1b2725b9">More...</a><br /></td></tr>
<tr class="separator:a838dccafe5d2e845d75eac2e1b2725b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a171d61de431f193f85002d8529bdd3cb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mouseCamera_8h.html#a171d61de431f193f85002d8529bdd3cb">onMouseButtonDown</a> (uint8_t button)</td></tr>
<tr class="memdesc:a171d61de431f193f85002d8529bdd3cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is called when a mouse button is pressed.  <a href="#a171d61de431f193f85002d8529bdd3cb">More...</a><br /></td></tr>
<tr class="separator:a171d61de431f193f85002d8529bdd3cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3194794d5eb4582454b63c10ca232b62"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mouseCamera_8h.html#a3194794d5eb4582454b63c10ca232b62">onMouseButtonUp</a> (uint8_t button)</td></tr>
<tr class="memdesc:a3194794d5eb4582454b63c10ca232b62"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function is called when a mouse button is released.  <a href="#a3194794d5eb4582454b63c10ca232b62">More...</a><br /></td></tr>
<tr class="separator:a3194794d5eb4582454b63c10ca232b62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e7e918a9328502b7c35cfbbdb068b7b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mouseCamera_8h.html#a7e7e918a9328502b7c35cfbbdb068b7b">cpu_initMatrices</a> (int32_t width, int32_t height)</td></tr>
<tr class="memdesc:a7e7e918a9328502b7c35cfbbdb068b7b"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function initializes viewMatrix and projectionMatrix. This function should be called once in init stage.  <a href="#a7e7e918a9328502b7c35cfbbdb068b7b">More...</a><br /></td></tr>
<tr class="separator:a7e7e918a9328502b7c35cfbbdb068b7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ae64ebe4c77936fc93d161b97bd8e96df"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae64ebe4c77936fc93d161b97bd8e96df"></a>
<a class="el" href="structMat4.html">Mat4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mouseCamera_8h.html#ae64ebe4c77936fc93d161b97bd8e96df">viewMatrix</a></td></tr>
<tr class="memdesc:ae64ebe4c77936fc93d161b97bd8e96df"><td class="mdescLeft">&#160;</td><td class="mdescRight">This variable contains view matrix of orbit camera. <br /></td></tr>
<tr class="separator:ae64ebe4c77936fc93d161b97bd8e96df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f344d924f733a22d7659db612a0efe8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1f344d924f733a22d7659db612a0efe8"></a>
<a class="el" href="structMat4.html">Mat4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mouseCamera_8h.html#a1f344d924f733a22d7659db612a0efe8">projectionMatrix</a></td></tr>
<tr class="memdesc:a1f344d924f733a22d7659db612a0efe8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This variable contains projection matrix of orbit camera. <br /></td></tr>
<tr class="separator:a1f344d924f733a22d7659db612a0efe8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ae2553412ead34e3a4e23019d4f052e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2ae2553412ead34e3a4e23019d4f052e"></a>
<a class="el" href="structVec3.html">Vec3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="mouseCamera_8h.html#a2ae2553412ead34e3a4e23019d4f052e">cameraPosition</a></td></tr>
<tr class="memdesc:a2ae2553412ead34e3a4e23019d4f052e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This variable contains camera position in world-space. <br /></td></tr>
<tr class="separator:a2ae2553412ead34e3a4e23019d4f052e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This file contains function declarations for mouse handling and camera manipulation. </p>
<dl class="section author"><dt>Author</dt><dd>Tomáš Milet, <a href="#" onclick="location.href='mai'+'lto:'+'imi'+'le'+'t@f'+'it'+'.vu'+'tb'+'r.c'+'z'; return false;">imile<span style="display: none;">.nosp@m.</span>t@fi<span style="display: none;">.nosp@m.</span>t.vut<span style="display: none;">.nosp@m.</span>br.c<span style="display: none;">.nosp@m.</span>z</a> </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a7e7e918a9328502b7c35cfbbdb068b7b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void cpu_initMatrices </td>
          <td>(</td>
          <td class="paramtype">int32_t&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int32_t&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function initializes viewMatrix and projectionMatrix. This function should be called once in init stage. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">width</td><td>width of screen in pixels </td></tr>
    <tr><td class="paramname">height</td><td>height of screen in pixels </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a171d61de431f193f85002d8529bdd3cb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void onMouseButtonDown </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>button</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is called when a mouse button is pressed. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">button</td><td>id of pressed button, it can be SDL_BUTTON_LEFT, SDL_BUTTON_RIGHT or SDL_BUTTON_MIDDLE. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3194794d5eb4582454b63c10ca232b62"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void onMouseButtonUp </td>
          <td>(</td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>button</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is called when a mouse button is released. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">button</td><td>id of released button, it can be SDL_BUTTON_LEFT, SDL_BUTTON_RIGHT or SDL_BUTTON_MIDDLE. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a838dccafe5d2e845d75eac2e1b2725b9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void onMouseMotion </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>y</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>xrel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>yrel</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function is called when the mouse is moving. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>x position of cursor </td></tr>
    <tr><td class="paramname">y</td><td>y position of cursor </td></tr>
    <tr><td class="paramname">xrel</td><td>relative x position to previous x position </td></tr>
    <tr><td class="paramname">yrel</td><td>relative y position to previous y position </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Apr 24 2019 08:37:08 for Izg 2018 - 2019, lab 6. by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.9.1
</small></address>
</body>
</html>
